#!/system/bin/sh -x
if [ -z $1 ]
then
	echo "Error: Packet count not supplied!"
	exit 1
else
	count=$1
	
	if [ -z $2 ]
	then
		echo "Error: Output directory not supplied!"
		exit 1
	fi

	echo "/root/start-capture.sh $count ; exit 0" | nc 10.55.44.253 7779

	# get tcpdump output file
	sleep 1
	tftp -r /tmp/tcpdump.pcap.gz -l $2/tcpdump.pcap.gz -g 10.55.44.253

	if [ $? -ne 0 ]
	then
		echo "Error getting tcpdump.pcap.gz from AC494"
	fi

	# delete tcpdump.pcap.gz file on AC494
	sleep 1
	echo "rm /tmp/tcpdump.pcap.gz ; exit 0" | nc 10.55.44.253 7779

fi
